Bug 269198 - Endless recursion through cyclic links
Endless recursion through cyclic links
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
8.2
All All
: P3 (vote)
: 8.2
Assigned To: Vladimir Kvashin
issues@cnd
82patch1-verified
:
: 268918 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-12-01 14:00 UTC by Vladimir Kvashin
Modified: 2016-12-08 13:28 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2016-12-01 14:00:07 UTC
While investigating stack overflow issue 268918 I found that the following situation leads to UI freezes and stack overflows:
#ln -s . cyclic_link1
#ln -s . cyclic_link2
Cyclic links protection does not work for such case.
It also won't work for other less trivial cases.
Comment 1 Vladimir Kvashin 2016-12-01 14:20:12 UTC
fixed, change sets 5550fb8a2b7b and 506cd546a8e9 on enum
Comment 2 Vladimir Kvashin 2016-12-01 14:54:59 UTC
*** Bug 268918 has been marked as a duplicate of this bug. ***
Comment 3 Quality Engineering 2016-12-03 03:02:39 UTC
Integrated into 'main-silver', will be available in build *201612030001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/869bf81f065d
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fix for #269198 - Endless recursion through cyclic links
(transplanted from 5550fb8a2b7b327ef77ed62cb8a8bfde680f0b49)
Comment 4 soldatov 2016-12-08 13:28:35 UTC
Verified in internal NetBeans 8,2 patch 1 build.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo